(***********************************************************************)
(*                                                                     *)
(*                                OCaml                                *)
(*                                                                     *)
(*            Xavier Leroy, projet Cristal, INRIA Rocquencourt         *)
(*                                                                     *)
(*  Copyright 1996 Institut National de Recherche en Informatique et   *)
(*  en Automatique.  All rights reserved.  This file is distributed    *)
(*  under the terms of the Q Public License version 1.0.               *)
(*                                                                     *)
(***********************************************************************)

(* $Id: asttypes.mli 12511 2012-05-30 13:29:48Z lefessan $ *)

(* Auxiliary a.s.t. types used by parsetree and typedtree. *)

type ident = string

type constant = Const_int of int

type rec_flag = Nonrecursive | Recursive | Default

type 'a loc = 'a Location.loc = {
  txt : 'a;
  loc : Location.t;
}
